GNU bug report logs - #53513
28.0.50; fido-vertical-mode does not work with tramp

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: schlurfi@HIDDEN; merged with #51386, #52758, #54042; dated Mon, 24 Jan 2022 21:29:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 51386 52758 53513 54042. Request was from Michael Albinus <michael.albinus@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 53513 <at> debbugs.gnu.org:


Received: (at 53513) by debbugs.gnu.org; 25 Jan 2022 13:13:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 25 08:13:55 2022
Received: from localhost ([127.0.0.1]:47331 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nCLdy-0000KO-1c
	for submit <at> debbugs.gnu.org; Tue, 25 Jan 2022 08:13:55 -0500
Received: from mout-p-201.mailbox.org ([80.241.56.171]:55490)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <schlurfi@HIDDEN>) id 1nCIF2-000298-4W
 for 53513 <at> debbugs.gnu.org; Tue, 25 Jan 2022 04:35:58 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org [80.241.60.240])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-201.mailbox.org (Postfix) with ESMTPS id 4JjhYK3qmlz9skf;
 Tue, 25 Jan 2022 10:35:49 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mailbox.org;
 s=mail20150812; t=1643103347;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=BasBhfDsnfnGSzaj2FmNzOymz7qSQCwoRHSpQw6S+zw=;
 b=kQrYl/RTUyBXverngsd92rmt70MPfav1zbE8egnzww6Ey2aIFv0Wfe1cj8HDzES2qlF3Qk
 /V/hkaa2Hm8ZzPK/WaQZXnJ0TAXTLNUxyyzrYOkJNv9pkTnyIOKys8cXqUiDkKpE8auZTi
 w0YEdRIIzXGyaTyS08A9lVByIqldFxtlC6ZH5xaJV7he+wwiobXk6Hehl06ofNbXs0wpJo
 tci9mrrRSVoO2MatDbA7JBOvPcqZNXajYQ/NwePkPMxuVvvJisshwyNnL99IBIOy7++sjg
 /hyrWOkpgt8tJk6dv2DIkULp4CkR1tng42WcRHGLXYyc3Mqp/6146DCfjpMdRA==
Date: Tue, 25 Jan 2022 09:35:45 +0000 (GMT)
From: schlurfi@HIDDEN
To: Michael Albinus <michael.albinus@HIDDEN>,
 "schlurfi--- via Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>
Message-ID: <405491242.990922.1643103345608@HIDDEN>
In-Reply-To: <87r18wqiql.fsf@HIDDEN>
References: <1609206003.960329.1643053796690@HIDDEN>
 <87r18wqiql.fsf@HIDDEN>
Subject: Re: bug#53513: 28.0.50; fido-vertical-mode does not work with tramp
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Priority: 3
Importance: Normal
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53513
X-Mailman-Approved-At: Tue, 25 Jan 2022 08:13:51 -0500
Cc: 53513 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


> On 25/01/2022 09:15 Michael Albinus <michael.albinus@HIDDEN> wrote:
> 
>  
> schlurfi--- via "Bug reports for GNU Emacs, the Swiss army knife of text
> editors" <bug-gnu-emacs@HIDDEN> writes:
> 
> Hi,
> 
> > emacs -Q
> > C-x C-f
> > type: "//ssh:" -> expectation: start completion, first host, then
> > directories / files on host. However, nothing meaningful happens...
> 
> In your recipe, ypu don't mention enabling fido-vertical-mode. Running
> your recipe as-it-is works for me as expected.
> 
> With fido-vertical-mode enabled, this is bug #51386 and #52758, I'm
> merging this bug with them. It is an unfortunate problem Tramp cannot
> solve alone.
> 

Indeed, I forgot to add "fido-vertical-mode" to the recipe, sorry about that. 

> > Note: with only fido-mode, it is possible to open a tramp connection,
> > but trying to change the directory deletes the whole line (//ssh:...)
> > instead of only the directory. This means one has to start from scratch
> > typing the connection details etc.
> 
> Hmm, this I cannot reproduce locally. Perhaps you have typed three
> slashes "///" in order to change the directory? Could you pls give an
> exact recipe, starting with "emacs -Q"?
> 
> Best regards, Michael.

What I type is this:

emacs -Q
fido-mode
C-x C-f
//ssh:hostname:~/
DEL

for me, this then deletes the whole line. 

fido-mode
C-x C-f
//ssh:hostname:/etc/
DEL
DEL

also deletes the whole line, maybe that is what is suppoused to happen?

Thank you!!




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53513; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Jan 2022 13:13:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 25 08:13:56 2022
Received: from localhost ([127.0.0.1]:47333 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nCLdz-0000KR-9k
	for submit <at> debbugs.gnu.org; Tue, 25 Jan 2022 08:13:56 -0500
Received: from lists.gnu.org ([209.51.188.17]:50580)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <schlurfi@HIDDEN>) id 1nCIFQ-0002AC-0z
 for submit <at> debbugs.gnu.org; Tue, 25 Jan 2022 04:36:20 -0500
Received: from eggs.gnu.org ([209.51.188.92]:60638)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <schlurfi@HIDDEN>)
 id 1nCIFP-0006gE-Qr
 for bug-gnu-emacs@HIDDEN; Tue, 25 Jan 2022 04:36:19 -0500
Received: from mout-p-201.mailbox.org ([80.241.56.171]:45520)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_CHACHA20_POLY1305:256)
 (Exim 4.90_1) (envelope-from <schlurfi@HIDDEN>)
 id 1nCIFN-0005oe-Qo
 for bug-gnu-emacs@HIDDEN; Tue, 25 Jan 2022 04:36:19 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org [80.241.60.240])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-201.mailbox.org (Postfix) with ESMTPS id 4JjhYK3qmlz9skf;
 Tue, 25 Jan 2022 10:35:49 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mailbox.org;
 s=mail20150812; t=1643103347;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=BasBhfDsnfnGSzaj2FmNzOymz7qSQCwoRHSpQw6S+zw=;
 b=kQrYl/RTUyBXverngsd92rmt70MPfav1zbE8egnzww6Ey2aIFv0Wfe1cj8HDzES2qlF3Qk
 /V/hkaa2Hm8ZzPK/WaQZXnJ0TAXTLNUxyyzrYOkJNv9pkTnyIOKys8cXqUiDkKpE8auZTi
 w0YEdRIIzXGyaTyS08A9lVByIqldFxtlC6ZH5xaJV7he+wwiobXk6Hehl06ofNbXs0wpJo
 tci9mrrRSVoO2MatDbA7JBOvPcqZNXajYQ/NwePkPMxuVvvJisshwyNnL99IBIOy7++sjg
 /hyrWOkpgt8tJk6dv2DIkULp4CkR1tng42WcRHGLXYyc3Mqp/6146DCfjpMdRA==
Date: Tue, 25 Jan 2022 09:35:45 +0000 (GMT)
From: schlurfi@HIDDEN
To: Michael Albinus <michael.albinus@HIDDEN>,
 "schlurfi--- via Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>
Message-ID: <405491242.990922.1643103345608@HIDDEN>
In-Reply-To: <87r18wqiql.fsf@HIDDEN>
References: <1609206003.960329.1643053796690@HIDDEN>
 <87r18wqiql.fsf@HIDDEN>
Subject: Re: bug#53513: 28.0.50; fido-vertical-mode does not work with tramp
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Priority: 3
Importance: Normal
Received-SPF: pass client-ip=80.241.56.171; envelope-from=schlurfi@HIDDEN;
 helo=mout-p-201.mailbox.org
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 25 Jan 2022 08:13:51 -0500
Cc: 53513 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


> On 25/01/2022 09:15 Michael Albinus <michael.albinus@HIDDEN> wrote:
> 
>  
> schlurfi--- via "Bug reports for GNU Emacs, the Swiss army knife of text
> editors" <bug-gnu-emacs@HIDDEN> writes:
> 
> Hi,
> 
> > emacs -Q
> > C-x C-f
> > type: "//ssh:" -> expectation: start completion, first host, then
> > directories / files on host. However, nothing meaningful happens...
> 
> In your recipe, ypu don't mention enabling fido-vertical-mode. Running
> your recipe as-it-is works for me as expected.
> 
> With fido-vertical-mode enabled, this is bug #51386 and #52758, I'm
> merging this bug with them. It is an unfortunate problem Tramp cannot
> solve alone.
> 

Indeed, I forgot to add "fido-vertical-mode" to the recipe, sorry about that. 

> > Note: with only fido-mode, it is possible to open a tramp connection,
> > but trying to change the directory deletes the whole line (//ssh:...)
> > instead of only the directory. This means one has to start from scratch
> > typing the connection details etc.
> 
> Hmm, this I cannot reproduce locally. Perhaps you have typed three
> slashes "///" in order to change the directory? Could you pls give an
> exact recipe, starting with "emacs -Q"?
> 
> Best regards, Michael.

What I type is this:

emacs -Q
fido-mode
C-x C-f
//ssh:hostname:~/
DEL

for me, this then deletes the whole line. 

fido-mode
C-x C-f
//ssh:hostname:/etc/
DEL
DEL

also deletes the whole line, maybe that is what is suppoused to happen?

Thank you!!




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53513; Package emacs. Full text available.

Message received at 53513 <at> debbugs.gnu.org:


Received: (at 53513) by debbugs.gnu.org; 25 Jan 2022 12:21:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 25 07:21:19 2022
Received: from localhost ([127.0.0.1]:47211 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nCKp5-0000Vd-Gx
	for submit <at> debbugs.gnu.org; Tue, 25 Jan 2022 07:21:19 -0500
Received: from mout.gmx.net ([212.227.17.22]:34861)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1nCKp4-0000VK-0e
 for 53513 <at> debbugs.gnu.org; Tue, 25 Jan 2022 07:21:18 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1643113271;
 bh=dpR2SHS90GN2Ij5ca8+qL63GpA5NX0ctQNyeUvYWeno=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=KI0xqdnf6+Lh2plOf4XS5mTWxpOG+PqiamLO9CwPATo0+OPmIs7yh494S3+ySZF2f
 NhsygwbVXKsVjtmwPx7vcslC04wj8xafZXcxJJEj2Y7AGRZ4u52oUf/vYVCUie4S3x
 wxlpIKgUVpPTuaLzrJY55BqdsPZ5Y1/A2DyPDSm4=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([79.140.118.216]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1Mzyuc-1mO6NN0nry-00x1w2; Tue, 25
 Jan 2022 13:21:11 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: schlurfi@HIDDEN
Subject: Re: bug#53513: 28.0.50; fido-vertical-mode does not work with tramp
References: <1609206003.960329.1643053796690@HIDDEN>
 <87r18wqiql.fsf@HIDDEN>
 <405491242.990922.1643103345608@HIDDEN>
Date: Tue, 25 Jan 2022 13:21:10 +0100
In-Reply-To: <405491242.990922.1643103345608@HIDDEN>
 (schlurfi@HIDDEN's message of "Tue, 25 Jan 2022 09:35:45 +0000
 (GMT)")
Message-ID: <87lez4qa4p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:tCWbAHQQPVvLfKSntRLRGekrFDDwAvoBj6Ratqlekh5gmMcezR5
 tjcTehLdUe0XiAd796QfYk6bPW1I01VoxQQqJ3LtRNA9EQ2cI7VmEOFdQeaiw2Sl23Zjd6P
 cbwSfEwR92/2/d+9MGmhk1bl1PVbdo8HT7mQDPyisXz7GBWmCB/M3PuFLRsF6rXRqZ+HVqH
 CTbl5M6996cm0RXi3/TCw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:qn85+TLE+uE=:ZqWSrLv1STFr32JzVzpG+9
 2Yd8EZYa718WRtU0/ov/8KpAsKTgkP7gJy4gT95fLqDKrSMMyo3vZXDuDTzqX7rlrQbpMtLYA
 7634aXdiz7H+RExjM9NfdX1RLkvPGqoIP8fsbwv33SX3dEtxdo0UJxIkZJsxe+t7g328OSW1o
 ljrHgrBEL8nyTqm+wPIu0FtNeBIJEHYo53wAGIVm5Nd5ZU4gRTiyILsNomBFplG5/ons77Dhy
 ltkz55guesNQZkzg1qXQdiDaakMRg3mnUHtIF9Xnjo6aHUEHEApYdF2N8W5l5hkbaOwq46gXK
 VZIALJAIC9LqkTJvFCTbsvBbkJikbpOIAt8jS2DHJcqfjoBKLUP3Paf7747a1sDjBizsqgcu2
 Q/X77Mhir2Ui505kfqWCShO90Shu/SrzNtd1V3CqCxdZKcEfU1EGkO+Zxd399gGoRMP5DfA9n
 EjirIYWsoPuDa/tDADieMnQPZ89N0G4otZ/mnto3aGopOtko3FSGBiLNjo1fzOilkyTGvN9bh
 95SH13u6cW5LaJleCmRqqYnZe4TPsIK2rCqyaA5hxHgC4+7/anhntesuRVS8w5WLDyIP1EUuo
 OZNVrYDZPE77Hx166XTfYGGAWmYmObNnTv0vBg5jg5q33SAO94aeKAWJnIooHpTAnaOmFvjUh
 D4zd3vOZ6l5Lr5o/5iS8v3cA3RygKolrrfy+Qy8bWdOYSjbhSAPSTqaAcF2D9PQsYdeZvQnqp
 aevDQorSucFQxRwbde7fM69bh0A6MBr1ttDdvBZm1bC8j9D5hARmdn0evsjreJuGks1GtqbHb
 fZXGyURtnTPp9ZNbPlQWVas5pbunsW7AJF8W0l8GTj+9ONJxEZ9m5+lUo/uGoNWZrXGIaqZbQ
 RwcoxW0yEzWMekw2m+ll8ZHrq3Jid0n5sI0zea235HrSNucrx9UoMoXDccpqqI6w1l+ersuAM
 u1S2iQkjx65r8xwSj2vTJ2MXfqTaJZbuWMKxwgbUulfqPXg+zeyXk00OHI/lME0fQAlfapKlj
 TqzSQT5T2nncQIpzKh4yfppZVmtGHxmV3JI41VqRPrJUYYKMkvGhepLGijlUhA5nFU2D85VSw
 xPI0v/2l/z8inI=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53513
Cc: "schlurfi--- via Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>, 53513 <at> debbugs.gnu.org,
 =?utf-8?B?Sm8=?= =?utf-8?B?w6NvIFTDoXZvcmE=?= <joaotavora@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

schlurfi@HIDDEN writes:

Hi,

> What I type is this:
>
> emacs -Q
> fido-mode
> C-x C-f
> //ssh:hostname:~/
> DEL
>
> for me, this then deletes the whole line.=20
>
> fido-mode
> C-x C-f
> //ssh:hostname:/etc/
> DEL
> DEL
>
> also deletes the whole line, maybe that is what is suppoused to happen?

Indeed. The function in question is icomplete-fido-backward-updir, which
behaves as described. It doesn't take into account remote file names.

Whether this is intended or not, I don't know. Bug#43925 covers this
partly, but it isn't about remote file names, and it is applied to Emacs
29 only. I've added Jo=C3=A3o T=C3=A1vora in Cc, the author of fido-mode.

> Thank you!!

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53513; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Jan 2022 12:21:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 25 07:21:25 2022
Received: from localhost ([127.0.0.1]:47214 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nCKpA-0000Vx-Nt
	for submit <at> debbugs.gnu.org; Tue, 25 Jan 2022 07:21:25 -0500
Received: from lists.gnu.org ([209.51.188.17]:54042)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1nCKp9-0000Vq-Uy
 for submit <at> debbugs.gnu.org; Tue, 25 Jan 2022 07:21:24 -0500
Received: from eggs.gnu.org ([209.51.188.92]:57834)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <michael.albinus@HIDDEN>)
 id 1nCKp8-0005pk-0F
 for bug-gnu-emacs@HIDDEN; Tue, 25 Jan 2022 07:21:23 -0500
Received: from mout.gmx.net ([212.227.17.22]:43625)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <michael.albinus@HIDDEN>)
 id 1nCKp6-0003ZG-2E
 for bug-gnu-emacs@HIDDEN; Tue, 25 Jan 2022 07:21:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1643113271;
 bh=dpR2SHS90GN2Ij5ca8+qL63GpA5NX0ctQNyeUvYWeno=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=KI0xqdnf6+Lh2plOf4XS5mTWxpOG+PqiamLO9CwPATo0+OPmIs7yh494S3+ySZF2f
 NhsygwbVXKsVjtmwPx7vcslC04wj8xafZXcxJJEj2Y7AGRZ4u52oUf/vYVCUie4S3x
 wxlpIKgUVpPTuaLzrJY55BqdsPZ5Y1/A2DyPDSm4=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([79.140.118.216]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1Mzyuc-1mO6NN0nry-00x1w2; Tue, 25
 Jan 2022 13:21:11 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: schlurfi@HIDDEN
Subject: Re: bug#53513: 28.0.50; fido-vertical-mode does not work with tramp
References: <1609206003.960329.1643053796690@HIDDEN>
 <87r18wqiql.fsf@HIDDEN>
 <405491242.990922.1643103345608@HIDDEN>
Date: Tue, 25 Jan 2022 13:21:10 +0100
In-Reply-To: <405491242.990922.1643103345608@HIDDEN>
 (schlurfi@HIDDEN's message of "Tue, 25 Jan 2022 09:35:45 +0000
 (GMT)")
Message-ID: <87lez4qa4p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:tCWbAHQQPVvLfKSntRLRGekrFDDwAvoBj6Ratqlekh5gmMcezR5
 tjcTehLdUe0XiAd796QfYk6bPW1I01VoxQQqJ3LtRNA9EQ2cI7VmEOFdQeaiw2Sl23Zjd6P
 cbwSfEwR92/2/d+9MGmhk1bl1PVbdo8HT7mQDPyisXz7GBWmCB/M3PuFLRsF6rXRqZ+HVqH
 CTbl5M6996cm0RXi3/TCw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:qn85+TLE+uE=:ZqWSrLv1STFr32JzVzpG+9
 2Yd8EZYa718WRtU0/ov/8KpAsKTgkP7gJy4gT95fLqDKrSMMyo3vZXDuDTzqX7rlrQbpMtLYA
 7634aXdiz7H+RExjM9NfdX1RLkvPGqoIP8fsbwv33SX3dEtxdo0UJxIkZJsxe+t7g328OSW1o
 ljrHgrBEL8nyTqm+wPIu0FtNeBIJEHYo53wAGIVm5Nd5ZU4gRTiyILsNomBFplG5/ons77Dhy
 ltkz55guesNQZkzg1qXQdiDaakMRg3mnUHtIF9Xnjo6aHUEHEApYdF2N8W5l5hkbaOwq46gXK
 VZIALJAIC9LqkTJvFCTbsvBbkJikbpOIAt8jS2DHJcqfjoBKLUP3Paf7747a1sDjBizsqgcu2
 Q/X77Mhir2Ui505kfqWCShO90Shu/SrzNtd1V3CqCxdZKcEfU1EGkO+Zxd399gGoRMP5DfA9n
 EjirIYWsoPuDa/tDADieMnQPZ89N0G4otZ/mnto3aGopOtko3FSGBiLNjo1fzOilkyTGvN9bh
 95SH13u6cW5LaJleCmRqqYnZe4TPsIK2rCqyaA5hxHgC4+7/anhntesuRVS8w5WLDyIP1EUuo
 OZNVrYDZPE77Hx166XTfYGGAWmYmObNnTv0vBg5jg5q33SAO94aeKAWJnIooHpTAnaOmFvjUh
 D4zd3vOZ6l5Lr5o/5iS8v3cA3RygKolrrfy+Qy8bWdOYSjbhSAPSTqaAcF2D9PQsYdeZvQnqp
 aevDQorSucFQxRwbde7fM69bh0A6MBr1ttDdvBZm1bC8j9D5hARmdn0evsjreJuGks1GtqbHb
 fZXGyURtnTPp9ZNbPlQWVas5pbunsW7AJF8W0l8GTj+9ONJxEZ9m5+lUo/uGoNWZrXGIaqZbQ
 RwcoxW0yEzWMekw2m+ll8ZHrq3Jid0n5sI0zea235HrSNucrx9UoMoXDccpqqI6w1l+ersuAM
 u1S2iQkjx65r8xwSj2vTJ2MXfqTaJZbuWMKxwgbUulfqPXg+zeyXk00OHI/lME0fQAlfapKlj
 TqzSQT5T2nncQIpzKh4yfppZVmtGHxmV3JI41VqRPrJUYYKMkvGhepLGijlUhA5nFU2D85VSw
 xPI0v/2l/z8inI=
Received-SPF: pass client-ip=212.227.17.22;
 envelope-from=michael.albinus@HIDDEN; helo=mout.gmx.net
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, FREEMAIL_FROM=0.001, RCVD_IN_DNSWL_LOW=-0.7,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: "schlurfi--- via Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>, 53513 <at> debbugs.gnu.org,
 =?utf-8?B?Sm8=?= =?utf-8?B?w6NvIFTDoXZvcmE=?= <joaotavora@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

schlurfi@HIDDEN writes:

Hi,

> What I type is this:
>
> emacs -Q
> fido-mode
> C-x C-f
> //ssh:hostname:~/
> DEL
>
> for me, this then deletes the whole line.=20
>
> fido-mode
> C-x C-f
> //ssh:hostname:/etc/
> DEL
> DEL
>
> also deletes the whole line, maybe that is what is suppoused to happen?

Indeed. The function in question is icomplete-fido-backward-updir, which
behaves as described. It doesn't take into account remote file names.

Whether this is intended or not, I don't know. Bug#43925 covers this
partly, but it isn't about remote file names, and it is applied to Emacs
29 only. I've added Jo=C3=A3o T=C3=A1vora in Cc, the author of fido-mode.

> Thank you!!

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53513; Package emacs. Full text available.
Merged 51386 52758 53513. Request was from Michael Albinus <michael.albinus@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 53513 <at> debbugs.gnu.org:


Received: (at 53513) by debbugs.gnu.org; 25 Jan 2022 09:15:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 25 04:15:24 2022
Received: from localhost ([127.0.0.1]:46866 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nCHvA-0007ns-3J
	for submit <at> debbugs.gnu.org; Tue, 25 Jan 2022 04:15:24 -0500
Received: from mout.gmx.net ([212.227.17.20]:46785)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1nCHv7-0007nf-VT
 for 53513 <at> debbugs.gnu.org; Tue, 25 Jan 2022 04:15:23 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1643102115;
 bh=BETKI2rJgDFbktoeijpVg5iWnWmt7nJ++G46hU2UZjk=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=J8ufD1qRtxBBQF4BcnV8r8AayJ7VByedoAHksOyUK4pIwJTRNN+KyP3etC4FwMVGH
 QE9QGflCWIvKC+eVcIdXln5OubAITBv7tMhLmitSqrp/drFUmC0RuZzivrVlwxA82Y
 l4Sihg1iTO0fPSX006i+mAk0ezpL8iCU1Lvq1Tsc=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([79.140.118.216]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1N5mGB-1mDvzs1aIN-017H5b; Tue, 25
 Jan 2022 10:15:15 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: schlurfi--- via "Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#53513: 28.0.50; fido-vertical-mode does not work with tramp
References: <1609206003.960329.1643053796690@HIDDEN>
Date: Tue, 25 Jan 2022 10:15:14 +0100
In-Reply-To: <1609206003.960329.1643053796690@HIDDEN> (schlurfi's
 message of "Mon, 24 Jan 2022 19:49:56 +0000 (GMT)")
Message-ID: <87r18wqiql.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:Ij7SNVHQEBUXb/JiB9d3X9VLzO2pvurV7/fG8vaX5sn/MYlXq4D
 BpMoONVhzxhGIhH20rfgOZZxxyRknOQLFVL6MyN97R7o1yYpKk6KTh+i9jPdMJnXS68cPBa
 /96d2/AmNJRNWyu8Nn7ObFGwqO8OA+r6zNTLee5Z0PwgukvJwT3v4S5F9aaXqzbeflW6gUn
 r9GNKdord1fm6IVB5F06A==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:9zhXjcnt9wg=:iQCHpdgne3YATUwulcRXFD
 o4R5F4wxEpv77h8wt3BNN/zIvkfd2Xe/IGsjNY4UTCvNEuRHXNsxMX+6Q6xd7Wz3TSG/i9cSw
 nVtHKf4sI1yiP/cJAC3tRwzA6w/l6Z3hxUIcaGd5HRt1jzG/MOu5nLPF2oFBrmAM+IA8F1wu1
 jNXwR/NJisp3JPB6lCqZIqG+xqEtJCPreJpQUtgORlTaprEMAQfsESBq3LCoMePl7a733gA7V
 oMWG2TXhIjF5emzZWbr+ExEI3bqrq+WtlycjnY+OmUyLyvKw8nEULKg42Go3oFzDSCV4Op3H6
 VxXWHbgdE2pyg5Yhgybq5ong4BanvioR7djC1fNpP8zqFqDi1ef24LWesuJtTnBhSrQXSaUGw
 I9jP6QMUgT+j5gz+7HXh03jb8W8xRue5dmeei8POBoGTwbKMcPVApMUO0VA8NYHnZ0UebxnFy
 T2ke2LWSyOFNnolL1YDAAd3l76krxkToOqAWMlGnWJRDp0xGrkR4K+DM+8nEu9bXqUSK63Jpb
 ag4dnJ2E9CejSquciQZ9LddJgyNAuUi7TwO8b5sSOTobAQ6x8VfTZRvb8lnFBatt/bAWGUqzV
 +ML4qS+YxRbPU+wTbl/Wei8Vtga25DfRTN1Ya2YmBQdP3r7o6t2ZNeVBfUrhgArlLVpiVn5y8
 i4F8pHNSlqicCp2s5RpPMxv0xMydG3rhTi/EIkoTyXt4Iq6XOeKXdAJLe8NG8Pc9l3yk4yvnr
 4m5CBZ/pI064tzNZ1+1BnJYE5F0iZG4YyHffZtrOyJJ9syfq1t6RwaA+OhB9spuI7CrFp6Ldu
 KFyeBB2CeBfnmFknnnDEPrbq02AND2uMHcWQHDXL0tIj6RxYfr5VLNxG/V8YhjtmRcD+UNFuE
 OEAsqzCAfuTKj7EWEyRraa1qIxcol0opYpfQraESevrwLhIqTh9gFWdC2qyf9/FlU+rNAAxlh
 7DCG94iAHE6UeMaJP18evAMedz9ig+JfLh2WKa6b2Hv0qBuC3l5qyPWKrFiXmRq0/Vfyxt7L4
 KEyFZBbjQI23/20KfrWJHOWR3RhRz/bm5HPtr4QijBsxIH4+pY/SKG5XcfI6GSoFu1VY4qagp
 OBRPv8/Lnq4dG0=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53513
Cc: 53513 <at> debbugs.gnu.org, schlurfi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

schlurfi--- via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <bug-gnu-emacs@HIDDEN> writes:

Hi,

> emacs -Q
> C-x C-f
> type: "//ssh:" -> expectation: start completion, first host, then
> directories / files on host. However, nothing meaningful happens...

In your recipe, ypu don't mention enabling fido-vertical-mode. Running
your recipe as-it-is works for me as expected.

With fido-vertical-mode enabled, this is bug #51386 and #52758, I'm
merging this bug with them. It is an unfortunate problem Tramp cannot
solve alone.

> Note: with only fido-mode, it is possible to open a tramp connection,
> but trying to change the directory deletes the whole line (//ssh:...)
> instead of only the directory. This means one has to start from scratch
> typing the connection details etc.

Hmm, this I cannot reproduce locally. Perhaps you have typed three
slashes "///" in order to change the directory? Could you pls give an
exact recipe, starting with "emacs -Q"?

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53513; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Jan 2022 09:15:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 25 04:15:29 2022
Received: from localhost ([127.0.0.1]:46869 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nCHvF-0007oC-BN
	for submit <at> debbugs.gnu.org; Tue, 25 Jan 2022 04:15:29 -0500
Received: from lists.gnu.org ([209.51.188.17]:59418)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1nCHvD-0007o3-AT
 for submit <at> debbugs.gnu.org; Tue, 25 Jan 2022 04:15:27 -0500
Received: from eggs.gnu.org ([209.51.188.92]:56720)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <michael.albinus@HIDDEN>)
 id 1nCHvD-0001O5-09
 for bug-gnu-emacs@HIDDEN; Tue, 25 Jan 2022 04:15:27 -0500
Received: from mout.gmx.net ([212.227.17.20]:41737)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <michael.albinus@HIDDEN>)
 id 1nCHvB-0002kE-28
 for bug-gnu-emacs@HIDDEN; Tue, 25 Jan 2022 04:15:26 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1643102115;
 bh=BETKI2rJgDFbktoeijpVg5iWnWmt7nJ++G46hU2UZjk=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=J8ufD1qRtxBBQF4BcnV8r8AayJ7VByedoAHksOyUK4pIwJTRNN+KyP3etC4FwMVGH
 QE9QGflCWIvKC+eVcIdXln5OubAITBv7tMhLmitSqrp/drFUmC0RuZzivrVlwxA82Y
 l4Sihg1iTO0fPSX006i+mAk0ezpL8iCU1Lvq1Tsc=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([79.140.118.216]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1N5mGB-1mDvzs1aIN-017H5b; Tue, 25
 Jan 2022 10:15:15 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: schlurfi--- via "Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#53513: 28.0.50; fido-vertical-mode does not work with tramp
References: <1609206003.960329.1643053796690@HIDDEN>
Date: Tue, 25 Jan 2022 10:15:14 +0100
In-Reply-To: <1609206003.960329.1643053796690@HIDDEN> (schlurfi's
 message of "Mon, 24 Jan 2022 19:49:56 +0000 (GMT)")
Message-ID: <87r18wqiql.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:Ij7SNVHQEBUXb/JiB9d3X9VLzO2pvurV7/fG8vaX5sn/MYlXq4D
 BpMoONVhzxhGIhH20rfgOZZxxyRknOQLFVL6MyN97R7o1yYpKk6KTh+i9jPdMJnXS68cPBa
 /96d2/AmNJRNWyu8Nn7ObFGwqO8OA+r6zNTLee5Z0PwgukvJwT3v4S5F9aaXqzbeflW6gUn
 r9GNKdord1fm6IVB5F06A==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:9zhXjcnt9wg=:iQCHpdgne3YATUwulcRXFD
 o4R5F4wxEpv77h8wt3BNN/zIvkfd2Xe/IGsjNY4UTCvNEuRHXNsxMX+6Q6xd7Wz3TSG/i9cSw
 nVtHKf4sI1yiP/cJAC3tRwzA6w/l6Z3hxUIcaGd5HRt1jzG/MOu5nLPF2oFBrmAM+IA8F1wu1
 jNXwR/NJisp3JPB6lCqZIqG+xqEtJCPreJpQUtgORlTaprEMAQfsESBq3LCoMePl7a733gA7V
 oMWG2TXhIjF5emzZWbr+ExEI3bqrq+WtlycjnY+OmUyLyvKw8nEULKg42Go3oFzDSCV4Op3H6
 VxXWHbgdE2pyg5Yhgybq5ong4BanvioR7djC1fNpP8zqFqDi1ef24LWesuJtTnBhSrQXSaUGw
 I9jP6QMUgT+j5gz+7HXh03jb8W8xRue5dmeei8POBoGTwbKMcPVApMUO0VA8NYHnZ0UebxnFy
 T2ke2LWSyOFNnolL1YDAAd3l76krxkToOqAWMlGnWJRDp0xGrkR4K+DM+8nEu9bXqUSK63Jpb
 ag4dnJ2E9CejSquciQZ9LddJgyNAuUi7TwO8b5sSOTobAQ6x8VfTZRvb8lnFBatt/bAWGUqzV
 +ML4qS+YxRbPU+wTbl/Wei8Vtga25DfRTN1Ya2YmBQdP3r7o6t2ZNeVBfUrhgArlLVpiVn5y8
 i4F8pHNSlqicCp2s5RpPMxv0xMydG3rhTi/EIkoTyXt4Iq6XOeKXdAJLe8NG8Pc9l3yk4yvnr
 4m5CBZ/pI064tzNZ1+1BnJYE5F0iZG4YyHffZtrOyJJ9syfq1t6RwaA+OhB9spuI7CrFp6Ldu
 KFyeBB2CeBfnmFknnnDEPrbq02AND2uMHcWQHDXL0tIj6RxYfr5VLNxG/V8YhjtmRcD+UNFuE
 OEAsqzCAfuTKj7EWEyRraa1qIxcol0opYpfQraESevrwLhIqTh9gFWdC2qyf9/FlU+rNAAxlh
 7DCG94iAHE6UeMaJP18evAMedz9ig+JfLh2WKa6b2Hv0qBuC3l5qyPWKrFiXmRq0/Vfyxt7L4
 KEyFZBbjQI23/20KfrWJHOWR3RhRz/bm5HPtr4QijBsxIH4+pY/SKG5XcfI6GSoFu1VY4qagp
 OBRPv8/Lnq4dG0=
Received-SPF: pass client-ip=212.227.17.20;
 envelope-from=michael.albinus@HIDDEN; helo=mout.gmx.net
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, FREEMAIL_FROM=0.001, RCVD_IN_DNSWL_LOW=-0.7,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 53513 <at> debbugs.gnu.org, schlurfi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

schlurfi--- via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <bug-gnu-emacs@HIDDEN> writes:

Hi,

> emacs -Q
> C-x C-f
> type: "//ssh:" -> expectation: start completion, first host, then
> directories / files on host. However, nothing meaningful happens...

In your recipe, ypu don't mention enabling fido-vertical-mode. Running
your recipe as-it-is works for me as expected.

With fido-vertical-mode enabled, this is bug #51386 and #52758, I'm
merging this bug with them. It is an unfortunate problem Tramp cannot
solve alone.

> Note: with only fido-mode, it is possible to open a tramp connection,
> but trying to change the directory deletes the whole line (//ssh:...)
> instead of only the directory. This means one has to start from scratch
> typing the connection details etc.

Hmm, this I cannot reproduce locally. Perhaps you have typed three
slashes "///" in order to change the directory? Could you pls give an
exact recipe, starting with "emacs -Q"?

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53513; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Jan 2022 21:28:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 24 16:28:31 2022
Received: from localhost ([127.0.0.1]:46073 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nC6t4-0007Zi-O2
	for submit <at> debbugs.gnu.org; Mon, 24 Jan 2022 16:28:31 -0500
Received: from lists.gnu.org ([209.51.188.17]:49772)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <schlurfi@HIDDEN>) id 1nC5Mf-0006rO-N4
 for submit <at> debbugs.gnu.org; Mon, 24 Jan 2022 14:50:59 -0500
Received: from eggs.gnu.org ([209.51.188.92]:34174)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <schlurfi@HIDDEN>)
 id 1nC5Me-0005MG-Mh
 for bug-gnu-emacs@HIDDEN; Mon, 24 Jan 2022 14:50:56 -0500
Received: from mout-p-101.mailbox.org ([80.241.56.151]:47086)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_CHACHA20_POLY1305:256)
 (Exim 4.90_1) (envelope-from <schlurfi@HIDDEN>)
 id 1nC5M4-0007Rd-Uf
 for bug-gnu-emacs@HIDDEN; Mon, 24 Jan 2022 14:50:51 -0500
Received: from smtp202.mailbox.org (smtp202.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:4:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-101.mailbox.org (Postfix) with ESMTPS id 4JjLDS3kltz9sdC
 for <bug-gnu-emacs@HIDDEN>; Mon, 24 Jan 2022 20:50:00 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mailbox.org;
 s=mail20150812; t=1643053798;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding;
 bh=amKUMmMIlZhHSbraTMu8WgZ+hjl4OmVDHHJtsIBeOKk=;
 b=cGg3oJz72QxO1ZehuFhvjt+5qtTUqKzmTxnOXvNtyMb/rlZBRp1uQa7uWVEn7IZF/Uv8WE
 KVJwMes+PjrvLKP/gdAMUY8J1y9GcWuwlRkyB0zf56kaayaoSEB4VKOGOj9yT4HW8UKmFp
 vtN+iwcXqSoJCARhgQTBsxMB/JIAZXhYp8+PXdR0I7kaRdthHMfMJLUYbqXjO3t6u7LBlq
 LZlPRcQ7C6Vcm6pceyRpndp/5MaPl/wlZDgd43MczIKVwXUM1c4LANi18b99HxcEGkT4IN
 ZAHzj0Pr4Sp43qGj2oKCKWxblJKUH/lzcUEeNyNrdiQUmvqYMvQ58838zv/U9Q==
Date: Mon, 24 Jan 2022 19:49:56 +0000 (GMT)
From: schlurfi@HIDDEN
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
Message-ID: <1609206003.960329.1643053796690@HIDDEN>
Subject: 28.0.50; fido-vertical-mode does not work with tramp
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Priority: 3
Importance: Normal
Received-SPF: pass client-ip=80.241.56.151; envelope-from=schlurfi@HIDDEN;
 helo=mout-p-101.mailbox.org
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 24 Jan 2022 16:28:28 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


emacs -Q
C-x C-f
type: "//ssh:" -> expectation: start completion, first host, then
directories / files on host. However, nothing meaningful happens...

Note: with only fido-mode, it is possible to open a tramp connection,
but trying to change the directory deletes the whole line (//ssh:...)
instead of only the directory. This means one has to start from scratch
typing the connection details etc.

In GNU Emacs 28.0.50 (build 1, x86_64-apple-darwin20.6.0, NS appkit-2022.60 Version 11.5.2 (Build 20G95))
 of 2021-09-05 built on Zwei.local
Windowing system distributor 'Apple', version 10.3.2022
System Description:  macOS 11.6.2

Configured using:
 'configure --disable-dependency-tracking --disable-silent-rules
 --enable-locallisppath=/usr/local/share/emacs/site-lisp
 --infodir=/usr/local/Cellar/emacs-plus@28/28.0.50/share/info/emacs
 --prefix=/usr/local/Cellar/emacs-plus@28/28.0.50 --with-xml2
 --with-gnutls --with-native-compilation --without-dbus
 --with-imagemagick --with-modules --with-rsvg --with-ns
 --disable-ns-self-contained 'CFLAGS=-I/usr/local/opt/gcc/include
 -I/usr/local/opt/libgccjit/include -I/usr/local/opt/gmp/include
 -I/usr/local/opt/jpeg/include' 'LDFLAGS=-L/usr/local/lib/gcc/11
 -I/usr/local/opt/gcc/include -I/usr/local/opt/libgccjit/include
 -I/usr/local/opt/gmp/include -I/usr/local/opt/jpeg/include''

Configured features:
ACL GIF GLIB GMP GNUTLS IMAGEMAGICK JPEG JSON LCMS2 LIBXML2 MODULES
NATIVE_COMP NOTIFY KQUEUE NS PDUMPER PNG RSVG THREADS TIFF
TOOLKIT_SCROLL_BARS XIM ZLIB

Important settings:
  value of $LANG: en_GB.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  fido-vertical-mode: t
  icomplete-vertical-mode: t
  icomplete-mode: t
  fido-mode: t
  shell-dirtrack-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug comp comp-cstr warnings rx cl-extra
help-mode message rmc puny rfc822 mml mml-sec epa derived epg rfc6068
epg-config gnus-util rmail rmail-loaddefs text-property-search mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils vc-hg
vc-git diff-mode easy-mmode vc-bzr vc-dispatcher cus-start cus-load
icomplete dired-aux misearch multi-isearch dired dired-loaddefs
tramp-cmds tramp-sh tramp-cache tramp tramp-loaddefs trampver
tramp-integration files-x tramp-compat shell pcomplete comint ansi-color
ring parse-time iso8601 ls-lisp format-spec auth-source cl-seq eieio
eieio-core cl-macs eieio-loaddefs password-cache json map seq byte-opt
gv bytecomp byte-compile cconv time-date subr-x cl-loaddefs cl-lib
iso-transl tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/ns-win ns-win ucs-normalize mule-util
term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads kqueue cocoa ns lcms2
multi-tty make-network-process native-compile emacs)

Memory information:
((conses 16 126397 7806)
 (symbols 48 11268 1)
 (strings 32 32874 1970)
 (string-bytes 1 1097278)
 (vectors 16 21173)
 (vector-slots 8 418334 33292)
 (floats 8 39 233)
 (intervals 56 468 140)
 (buffers 992 13))




Acknowledgement sent to schlurfi@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#53513; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 17 Feb 2022 16:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.